Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

# Class TransactionDates1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_01.TransactionDates1

public class TransactionDates1 extends Object

Java class for TransactionDates1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionDates1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AccptncDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ISODateTime" minOccurs="0"/>
             <element name="TradDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ISODate" minOccurs="0"/>
             <element name="IntrBkSttlmDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ISODate" minOccurs="0"/>
             <element name="StartDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ISODate" minOccurs="0"/>
             <element name="EndDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ISODate" minOccurs="0"/>
             <element name="TxDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ISODateTime" minOccurs="0"/>
             <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ProprietaryDate1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected XMLGregorianCalendar`
`accptncDtTm`
`protected XMLGregorianCalendar`
`endDt`
`protected XMLGregorianCalendar`
`intrBkSttlmDt`
`protected List<ProprietaryDate1>`
`prtry`
`protected XMLGregorianCalendar`
`startDt`
`protected XMLGregorianCalendar`
`tradDt`
`protected XMLGregorianCalendar`
`txDtTm`

## Constructor Summary

Constructors
Constructor
Description
`TransactionDates1()`

## Method Summary

Modifier and Type
Method
Description
`XMLGregorianCalendar`
`getAccptncDtTm()`
Gets the value of the accptncDtTm property.
`XMLGregorianCalendar`
`getEndDt()`
Gets the value of the endDt property.
`XMLGregorianCalendar`
`getIntrBkSttlmDt()`
Gets the value of the intrBkSttlmDt property.
`List<ProprietaryDate1>`
`getPrtry()`
Gets the value of the prtry property.
`XMLGregorianCalendar`
`getStartDt()`
Gets the value of the startDt property.
`XMLGregorianCalendar`
`getTradDt()`
Gets the value of the tradDt property.
`XMLGregorianCalendar`
`getTxDtTm()`
Gets the value of the txDtTm property.
`void`
`setAccptncDtTm(XMLGregorianCalendar value)`
Sets the value of the accptncDtTm property.
`void`
`setEndDt(XMLGregorianCalendar value)`
Sets the value of the endDt property.
`void`
`setIntrBkSttlmDt(XMLGregorianCalendar value)`
Sets the value of the intrBkSttlmDt property.
`void`
`setStartDt(XMLGregorianCalendar value)`
Sets the value of the startDt property.
`void`
`setTradDt(XMLGregorianCalendar value)`
Sets the value of the tradDt property.
`void`
`setTxDtTm(XMLGregorianCalendar value)`
Sets the value of the txDtTm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### accptncDtTm

protected XMLGregorianCalendar accptncDtTm

### tradDt

protected XMLGregorianCalendar tradDt

### intrBkSttlmDt

protected XMLGregorianCalendar intrBkSttlmDt

### startDt

protected XMLGregorianCalendar startDt

### endDt

protected XMLGregorianCalendar endDt

### txDtTm

protected XMLGregorianCalendar txDtTm

### prtry

protected List<ProprietaryDate1> prtry

## Constructor Details

### TransactionDates1

public TransactionDates1()

## Method Details

### getAccptncDtTm

public XMLGregorianCalendar getAccptncDtTm()
Gets the value of the accptncDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

### setAccptncDtTm

public void setAccptncDtTm(XMLGregorianCalendar value)
Sets the value of the accptncDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getTradDt

public XMLGregorianCalendar getTradDt()
Gets the value of the tradDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setTradDt

public void setTradDt(XMLGregorianCalendar value)
Sets the value of the tradDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getIntrBkSttlmDt

public XMLGregorianCalendar getIntrBkSttlmDt()
Gets the value of the intrBkSttlmDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setIntrBkSttlmDt

public void setIntrBkSttlmDt(XMLGregorianCalendar value)
Sets the value of the intrBkSttlmDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getStartDt

public XMLGregorianCalendar getStartDt()
Gets the value of the startDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setStartDt

public void setStartDt(XMLGregorianCalendar value)
Sets the value of the startDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getEndDt

public XMLGregorianCalendar getEndDt()
Gets the value of the endDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setEndDt

public void setEndDt(XMLGregorianCalendar value)
Sets the value of the endDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getTxDtTm

public XMLGregorianCalendar getTxDtTm()
Gets the value of the txDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

### setTxDtTm

public void setTxDtTm(XMLGregorianCalendar value)
Sets the value of the txDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getPrtry

public List<ProprietaryDate1> getPrtry()
Gets the value of the prtry property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prtry property.

For example, to add a new item, do as follows:

        getPrtry().add(newItem);

Objects of the following type(s) are allowed in the list `ProprietaryDate1`